xine-lib: opengl2_draw_info_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
opengl2_draw_info_t Struct Reference

## Data Fields
int | guiw
int | guih
int | sx1
int | sx2
int | sy1
int | sy2
int | dx [2]
int | dy [2]
int | dw
int | dh
GLuint | video_texture

## Field Documentation

## ◆ dh

int opengl2_draw_info_t::dh

Referenced by opengl2_draw(), and opengl2_draw_video_bicubic().

## ◆ dw

int opengl2_draw_info_t::dw

Referenced by opengl2_draw(), and opengl2_draw_video_bicubic().

## ◆ dx

int opengl2_draw_info_t::dx[2]

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_bilinear(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_draw_video_simple().

## ◆ dy

int opengl2_draw_info_t::dy[2]

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_bilinear(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_draw_video_simple().

## ◆ guih

int opengl2_draw_info_t::guih

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_bilinear(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_draw_video_simple().

## ◆ guiw

int opengl2_draw_info_t::guiw

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_bilinear(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_draw_video_simple().

## ◆ sx1

int opengl2_draw_info_t::sx1

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_bilinear(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_draw_video_simple().

## ◆ sx2

int opengl2_draw_info_t::sx2

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_bilinear(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_draw_video_simple().

## ◆ sy1

int opengl2_draw_info_t::sy1

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_bilinear(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_draw_video_simple().

## ◆ sy2

int opengl2_draw_info_t::sy2

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_bilinear(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_draw_video_simple().

## ◆ video_texture

GLuint opengl2_draw_info_t::video_texture

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_bilinear(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_draw_video_simple().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_out/video_out_opengl2.c